Page MenuHomePhabricator

[Story] Replace jquery.wikibase.toolbarcontroller by wikibase.view.ViewController
Closed, ResolvedPublic

Description

In T117689, we introduced ViewController, but it's unused now. All our views with edit mode should use it.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterSwitch entitytermsview to ControllerViewFactory
mediawiki/extensions/Wikibase : masterUse of ViewController for editing in statementview

Event Timeline

adrianheine raised the priority of this task from to Medium.
adrianheine updated the task description. (Show Details)
adrianheine added a project: Wikidata.
adrianheine added a subscriber: adrianheine.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 16 2016, 1:05 PM
adrianheine updated the task description. (Show Details)Feb 16 2016, 1:19 PM
adrianheine set Security to None.
D3r1ck01 claimed this task.Mar 3 2016, 8:10 AM

Change 274654 had a related patch set uploaded (by D3r1ck01):
Use of ViewController for editing in statementview

https://gerrit.wikimedia.org/r/274654

Change 274654 abandoned by D3r1ck01:
Use of ViewController for editing in statementview

Reason:
To be worked on later

https://gerrit.wikimedia.org/r/274654

D3r1ck01 removed D3r1ck01 as the assignee of this task.Mar 4 2016, 1:56 PM
D3r1ck01 added a subscriber: D3r1ck01.

Change 298753 had a related patch set uploaded (by Adrian Heine):
Switch entitytermsview to ControllerViewFactory

https://gerrit.wikimedia.org/r/298753

Change 298753 merged by jenkins-bot:
Switch entitytermsview to ControllerViewFactory

https://gerrit.wikimedia.org/r/298753

Lydia_Pintscher closed this task as Resolved.Aug 10 2016, 10:53 AM
Lydia_Pintscher claimed this task.
Lydia_Pintscher moved this task from Proposed to Done on the Wikidata-Sprint-2016-08-02 board.